Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.tracking.tags
Class ProductEventTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.commerce.ebusiness.tracking.tags.ProductEventTag

Direct Known Subclasses:
  DisplayProductEventTag

public class ProductEventTag
extends javax.servlet.jsp.tagext.TagSupport

The tag handler of the behavior tracking tag display. This tag is a base tag that will be used by other XXXXProductTags and only validates information that is common to the latter.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `applicationName`
`protected java.lang.String` | `categoryId`
`protected java.lang.String` | `documentId`
`protected java.lang.String` | `documentType`
`protected java.lang.String` | `sessionId`
`protected java.lang.String` | `sku`
`protected java.lang.String` | `userId`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`ProductEventTag()`

Method Summary
`int` | `doStartTag()` Implement the StartTag callback.
`java.lang.String` | `getApplicationName()` Get the applicationName
`java.lang.String` | `getCategoryId()` Get the categoryId
`java.lang.String` | `getDocumentId()` Get the documentId
`java.lang.String` | `getDocumentType()` Get the documentType
`java.lang.String` | `getSku()` Get the Sku
`protected void` | `log(int logLevel, java.lang.String message)`
`void` | `release()`
`void` | `setApplicationName(java.lang.String theApplicationName)` Set the applicationName
`void` | `setCategoryId(Category theCategory)` Set the categoryId using a Category
`void` | `setCategoryId(java.lang.String theCategoryId)` Set the categoryId
`void` | `setDocumentId(java.lang.String theDocumentId)` Set the documentId
`void` | `setDocumentType(java.lang.String theDocumentType)` Set the documentType
`void` | `setSku(ProductItem theProduct)` Set the sku using a ProductItem
`void` | `setSku(java.lang.String theSku)` Set the sku
`protected void` | `throwException(java.lang.String message)`
`protected void` | `throwException(java.lang.String message, java.lang.Object messageObject)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### documentId

    protected java.lang.String documentId

### documentType

    protected java.lang.String documentType

### sku

    protected java.lang.String sku

### categoryId

    protected java.lang.String categoryId

### applicationName

    protected java.lang.String applicationName

### sessionId

    protected java.lang.String sessionId

### userId

    protected java.lang.String userId

Constructor Detail

### ProductEventTag

    public ProductEventTag()

Method Detail

### getDocumentId

    public java.lang.String getDocumentId()

  Get the documentId

  Returns:
    String the documentId

### setDocumentId

    public void setDocumentId(java.lang.String theDocumentId)

  Set the documentId

  Parameters:
    `theDocumentId` - documentId to set to

### getDocumentType

    public java.lang.String getDocumentType()

  Get the documentType

  Returns:
    String the documentType

### setDocumentType

    public void setDocumentType(java.lang.String theDocumentType)

  Set the documentType

  Parameters:
    `theDocumentType` - documentType to set to

### getSku

    public java.lang.String getSku()

  Get the Sku

  Returns:
    String the sku

### setSku

    public void setSku(java.lang.String theSku)

  Set the sku

  Parameters:
    `theSku` - sku to set to

### setSku

    public void setSku(ProductItem theProduct)

  Set the sku using a ProductItem

  Parameters:
    `theProduct` - ProductItem used to get sku

### getCategoryId

    public java.lang.String getCategoryId()

  Get the categoryId

  Returns:
    String the categoryId

### setCategoryId

    public void setCategoryId(java.lang.String theCategoryId)

  Set the categoryId

  Parameters:
    `theCategoryId` - categoryId to set to

### setCategoryId

    public void setCategoryId(Category theCategory)

  Set the categoryId using a Category

  Parameters:
    `theCategory` - Category used to get categoryId

### getApplicationName

    public java.lang.String getApplicationName()

  Get the applicationName

  Returns:
    String the applicationName

### setApplicationName

    public void setApplicationName(java.lang.String theApplicationName)

  Set the applicationName

  Parameters:
    `theApplicationName` - applicationName to set to

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspTagException

  Implement the StartTag callback. This only does some validation common to tags of this type.

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### throwException

    protected void throwException(java.lang.String message,
                                  java.lang.Object messageObject)
                           throws javax.servlet.jsp.JspTagException

### throwException

    protected void throwException(java.lang.String message)
                           throws javax.servlet.jsp.JspTagException

### log

    protected void log(int logLevel,
                       java.lang.String message)

### release

    public void release()

  Overrides:
    release in class javax.servlet.jsp.tagext.TagSupport

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved